import time
import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)
GPIO.setup(4, GPIO.OUT)
GPIO.setup(17, GPIO.OUT)
#I am using a rev 2 board, so I will use pin 27 in lieu of pin 21
GPIO.setup(27, GPIO.OUT)
GPIO.setup(18, GPIO.IN)
GPIO.setup(22, GPIO.IN)
GPIO.setup(23, GPIO.IN)
GPIO.setup(24, GPIO.IN)
GPIO.setup(25, GPIO.IN)
while True:
	#check for the focus push button press
	if(GPIO.input(18) == False):
		#trigger the optoisolator connected to the focus lead
		GPIO.output(4, GPIO.HIGH)
		#need a little time for the camera to focus
		time.sleep(.2)
		#reset the optoisolator
		GPIO.output(4, GPIO.LOW)
	#check for the shutter push button press
	if(GPIO.input(22) == False):
		#trigger the optoisolator connected to the shutter lead
		GPIO.output(17, GPIO.HIGH)
		time.sleep(.2)
		GPIO.output(17, GPIO.LOW)
	#check for the flash push button press
	if(GPIO.input(23) == False):
		#trigger the optoisolator connected to the flash (I use 27 for rev 2 board)
		GPIO.output(27, GPIO.HIGH)
		time.sleep(.2)
		GPIO.output(27, GPIO.LOW)
