import time
import os
import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)
DEBUG = 1 
#define a function to read the MCP3008 ADC value
def adc(chan, clock, mosi, miso, cs):
    if((chan < 0) or (chan > 7)):
        return -1
    GPIO.output(cs, True)
    GPIO.output(clock, False)
    GPIO.output(cs, False)
    cmd = chan
    cmd |= 0x18
    cmd <<= 3

    for i in range(5):
        if(cmd & 0x80):
            GPIO.output(mosi, True)
        else:
            GPIO.output(mosi, False)
        cmd <<= 1
        GPIO.output(clock, True)
        GPIO.output(clock, False)
    result = 0
    for i in range(12):
        GPIO.output(clock, True)
        GPIO.output(clock, False)
        result <<= 1
        if(GPIO.input(miso)):
             result |= 0x1
    GPIO.output(cs, True)
    result >>= 1
    return result 
#These pin definitions are set to work with the test circuit
SPICLK = 18
SPIMISO = 23
SPIMOSI = 24
SPICS = 25
GPIO.setup(SPIMOSI, GPIO.OUT)
GPIO.setup(SPIMISO, GPIO.IN)
GPIO.setup(SPICLK, GPIO.OUT)
GPIO.setup(SPICS, GPIO.OUT)
channel = 0
while True:
    #read an ADC value
    adc_value = adc(channel, SPICLK, SPIMOSI, SPIMISO, SPICS)

    if DEBUG:
        print "value = ", adc_value
    #wait a second and repeat
    time.sleep(1)
